📌

.NET FrameworkのWPFアプリケーションをGithub Actionsでビルドする

2022/07/09に公開

なんか思ったより簡単だった。GitHub Actionsさんすごい!

基本は、下記の記事の通りで問題ありません。

ただ1点、変更したほうが良い箇所でしょう。

    # Install the .NET Core workload
    - name: Install .NET Core
      uses: actions/setup-dotnet@v2
      with:
        dotnet-version: 6.0.x

先の記事では .NET6.0で作成されたアプリケーションをビルドするために、.NETをインストールしていました。

今回は .NET Frameworkなので不要です。

また、このWorkflowは最新のWindows環境で実行されます。

    runs-on: windows-latest

現在の最新Windowsにはデフォルトで .NET Framework 4.8がインストールされているので、インストールは不要です。

・・・古い .NET Framework使いたい?ちょっと探したら見当たりませんでした。windows-latestって .NET Framework何が入ってるんだろ~?その件は必要になったら調べたいと思います。

2022.07.04 追記

そんなこと書いていたら、雪猫さんと、はぇ~さんに、下記に情報があることを教えていただきました!

結論からいうと、現在生きている .NET Framework(+α)は、とくに追加とかしなくて使えました。

ご協力ありがとうございました!

Discussion

ログインするとコメントできます